Passa al contenuto principale

DomainContact

Contact of a domain at the registry, with its data

domain_contact_idintegerrequired
domain_idintegerrequired

Id of the domain (GET /api/v3/domains/{domain_id})

typestringrequired

Role of the contact: R (registrant), A (administrative), T (technical) or O (organization)

to_syncboolean | nullnullablerequired

Whether the contact has changes not yet sent to the registry (POST /api/v3/domains/{domain_id}/contacts/synchronizations)

contact_data object[]required

Data of the contact, one item per field

  • Array [
  • data_fieldstringrequired

    Code of the field, for example FIRST_NAME, EMAIL or DOT_IT_ENTITY_TYPE (see contact_data of GET /api/v3/tlds/{tld_id})

    data_valuestring | nullnullablerequired

    Value of the field; for PHONE_PREFIX and FAX_PREFIX, the id of the country of the prefix; for BIRTHDAY, a date YYYY-MM-DD

  • ]
  • DomainContact
    {
    "domain_contact_id": 0,
    "domain_id": 0,
    "type": "string",
    "to_sync": true,
    "contact_data": [
    {
    "data_field": "string",
    "data_value": "string"
    }
    ]
    }